#%define gnomever    2.32.0

%define majver %(echo %version | cut -d. -f 1-2)
%define gnomegroup  platform
%define pkgname     libgnomecanvas

Name:          libgnomecanvas
Version:       2.30.3
Release:       1mamba
Summary:       GnomeCanvas widget
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
# bugfixes: http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}/%{majver}/%{pkgname}-%{version}.tar.gz   
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgail-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: gawk, perl
BuildRequires: docbook-xsl
BuildRequires: libxslt-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

%package devel
Summary:       Devel package for GnomeCanvas
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure \
   --libexecdir=%{_sbindir} 
# FIXME
#\
#   --enable-gtk-doc
#99% symbol docs coverage (292 symbols documented, 3 symbols incomplete, 2 not documented)
#See libgnomecanvas-undocumented.txt for a list of missing docs.
#The doc coverage percentage doesn't include intro sections.
#touch sgml-build.stamp
#gtk-doc: Building HTML
#rm -rf ./html
#mkdir ./html
#cd ./html && gtkdoc-mkhtml libgnomecanvas ../libgnomecanvas-docs.sgml
#I/O error : Attempt to load network entity http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
#warning: failed to load external entity "http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl"
#compilation error: file /usr/share/gtk-doc/data/gtk-doc.xsl line 6 element import
#xsl:import : unable to load http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
#make[3]: *** [html-build.stamp] Error 5
#make[3]: Leaving directory `/usr/src/RPM/BUILD/libgnomecanvas-2.20.1/docs/reference'
#make[2]: *** [all-recursive] Error 1
#make[2]: Leaving directory `/usr/src/RPM/BUILD/libgnomecanvas-2.20.1/docs'
#make[1]: *** [all-recursive] Error 1
#make[1]: Leaving directory `/usr/src/RPM/BUILD/libgnomecanvas-2.20.1'
#make: *** [all] Error 2
##error: Bad exit status from /var/tmp/rpm-tmp.12738 (%build)

%make

%install
%makeinstall

%find_lang %{name}-2.0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f  %{name}-2.0.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
#%{_libdir}/libglade/?.?/*
%doc AUTHORS ChangeLog COPYING.LIB NEWS README

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%dir %{_includedir}/libgnomecanvas-?.?/libgnomecanvas
%{_includedir}/libgnomecanvas-?.?/libgnomecanvas/*.h

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{pkgname}/

%changelog
* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 2.30.3-1mamba
- automatic update by autodist

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Thu Jul 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-3mamba
- rebuilt with libpng 1.4

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-2mamba
- automatic rebuild by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Sun Jul 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- update to 2.26.0

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1.1-1mamba
- automatic update by autodist

* Fri Nov 14 2008 gil <puntogil@libero.it> 2.20.1-1mamba
- update to 2.20.1

* Mon Jul 21 2008 gil <puntogil@libero.it> 2.20.0-1mamba
- update to 2.20.0

* Tue Jan 09 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.0-1qilnx
- update to version 2.14.0 by autospec
- new subpackage apidocs with API documentation

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.2-1qilnx
- update to version 2.10.2 by autospec

* Fri Dec 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1qilnx
- update to version 2.8.0 by autospec

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1qilnx
- first build
